Bug 216734 - Review Request: gnome-compiz-manager - compiz configuration utility
Review Request: gnome-compiz-manager - compiz configuration utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
http://gandalfn.wordpress.com/gnome-c...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 14:01 EST by John Mahowald
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 23:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
bug report (4.52 KB, text/plain)
2006-11-22 04:26 EST, Parag AN(पराग)
no flags Details
This is bug report i got as soon as i restart system and gnome starts working (2.93 KB, text/plain)
2006-11-22 23:20 EST, Parag AN(पराग)
no flags Details
gnome-compiz-preferences crash dump (4.48 KB, text/plain)
2007-07-27 09:42 EDT, Didier
no flags Details

  None (edit)
Description John Mahowald 2006-11-21 14:01:54 EST
Spec URL: http://fedorared.org/repos/rpmbuild/SPECS/gnome-compiz-manager.spec
SRPM URL: http://fedorared.org/fedora/review/gnome-compiz-manager-0.9.10-1.src.rpm
Description:
Gnome compiz manager is small utility, which manage GL Desktop configuration
on XGL/AiGLX. It’s composed of two applications :

- compiz-tray-icon : which launch and stop compiz

- gnome-compiz-preferences : which adjust GL effects

The goal isn’t to propose all compiz options but allow a simple
configuration of compiz.


----------

Note that this package still contains rpaths.
Comment 1 Parag AN(पराग) 2006-11-22 04:11:37 EST
I installed this package but when i tried to run it, i got bug report. Is am i
missing anything on my FC6?
Comment 2 Parag AN(पराग) 2006-11-22 04:26:20 EST
Created attachment 141886 [details]
bug report
Comment 3 John Mahowald 2006-11-22 09:09:53 EST
I don't see any debug symbols. Could you install the debuginfo subpackage and
try again?
Comment 4 Parag AN(पराग) 2006-11-22 23:06:52 EST
when i restart system i am repeatedly getting bug buddy reporting bugs again and
again.
Comment 5 Parag AN(पराग) 2006-11-22 23:20:12 EST
Created attachment 141968 [details]
This is bug report i got as soon as i restart system and gnome starts working
Comment 6 Parag AN(पराग) 2006-11-26 10:43:02 EST
any progress?
Comment 7 John Mahowald 2006-11-27 16:11:15 EST
I cannot reproduce that. I've built and run sucessfully on FC6 i386 and x86_64.
Did you build against devel, by chance?

Notice that there is still some "No symbol table info available." lines in the
report. If you could install libgnomeui-debuginfo and glib2-debuginfo perhaps we
will see more of the trace.
Comment 8 Parag AN(पराग) 2006-11-27 20:59:13 EST
So did i also built for FC6. Anyway will install libgnomeui-debuginfo and
glib2-debuginfo and check.
Comment 9 Gianluca Sforna 2006-11-28 03:30:06 EST
0.9.13.1 is out. Any chances of an update?
Comment 10 John Mahowald 2006-11-28 13:15:31 EST
(In reply to comment #9)
> 0.9.13.1 is out. Any chances of an update?

Sure.

Spec URL: http://fedorared.org/repos/rpmbuild/SPECS/gnome-compiz-manager.spec
SRPM URL: http://fedorared.org/fedora/review/gnome-compiz-manager-0.9.13.1-1.src.rpm
Comment 11 Gianluca Sforna 2006-11-28 18:42:38 EST
Thanks. built in mock and installed in my laptop.

So far it seems working so I'm not sure what problem Parag is hitting.
Comment 12 Parag AN(पराग) 2006-11-28 23:08:36 EST
giallu,
  I really not understanding whats happening at my end. I am using FC6 system
with very less installed updates system. I tried to build on it using
rpmbuild --rebuild gnome-compiz-manager-0.9.13.1-1.src.rpm
and then installed all binary RPMS but still getting bug buddy appearing to
report buglog. 
  My compiz must be running while using this package right??
Comment 13 Gianluca Sforna 2006-11-29 04:14:47 EST
(In reply to comment #12)
> giallu,
>   I really not understanding whats happening at my end. I am using FC6 system
> with very less installed updates system. I tried to build on it using
> rpmbuild --rebuild gnome-compiz-manager-0.9.13.1-1.src.rpm
> and then installed all binary RPMS but still getting bug buddy appearing to
> report buglog. 

Exactly, which application is crashing ? it should be written in the opened bug
buddy window.

>   My compiz must be running while using this package right??

Not necessarily. AFAICT, you can use the included gnome try icon (or the
preferences) to activate desktop effects.

However, I noticed some strange things:
1. on first rpm install it said: gconfd-2: no process killed
2. starting the desktop session is significantly slower than before
Comment 14 Parag AN(पराग) 2006-11-29 04:48:59 EST
(In reply to comment #13)
> (In reply to comment #12)
> > giallu,
> >   I really not understanding whats happening at my end. I am using FC6 system
> > with very less installed updates system. I tried to build on it using
> > rpmbuild --rebuild gnome-compiz-manager-0.9.13.1-1.src.rpm
> > and then installed all binary RPMS but still getting bug buddy appearing to
> > report buglog. 
> 
> Exactly, which application is crashing ? it should be written in the opened bug
> buddy window.
I have already attached in above comments bug report.

> 
> >   My compiz must be running while using this package right??
> 
> Not necessarily. AFAICT, you can use the included gnome try icon (or the
> preferences) to activate desktop effects.
I always used to use desktop icon from System->Preferences->More Preferences

> 
> However, I noticed some strange things:
> 1. on first rpm install it said: gconfd-2: no process killed
I also got same thing when i installed rpm
> 2. starting the desktop session is significantly slower than before

Comment 15 John Mahowald 2006-11-30 15:45:52 EST
(In reply to comment #13)
> (In reply to comment #12)
> > giallu,
> >   I really not understanding whats happening at my end. I am using FC6 system
> > with very less installed updates system. I tried to build on it using
> > rpmbuild --rebuild gnome-compiz-manager-0.9.13.1-1.src.rpm
> > and then installed all binary RPMS but still getting bug buddy appearing to
> > report buglog. 
> 
> Exactly, which application is crashing ? it should be written in the opened bug
> buddy window.


I don't get it either. If you have the BuildRequires installed unmodified the
result should be the same as what you get from mock. Unless it is some other run
time problem on your system.

You may want to report a bug: https://gna.org/bugs/?group=gcm

> 
> >   My compiz must be running while using this package right??
> 
> Not necessarily. AFAICT, you can use the included gnome try icon (or the
> preferences) to activate desktop effects.
> 
> However, I noticed some strange things:
> 1. on first rpm install it said: gconfd-2: no process killed
> 2. starting the desktop session is significantly slower than before


1. is a result of copying the gconf script directly from here:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets   I believe it is
harmless.

2. There is a tray icon, though if it slows things down we may have a problem.
Also if you changed compiz settings that may affect performance.
Comment 16 Parag AN(पराग) 2006-11-30 21:14:29 EST
I think i should move away from this review as i am not getting results. Better
let Gianluca Review your package.
I request Gianluca or any other watchers kindly Remove me from ASSIGNED and
those who want to review ASSIGN this Review to himself and Review this package.
Sorry for leaving this Review.
Comment 18 David Juran 2007-05-24 04:10:45 EDT
I assume you didn't mean to close the bug...
Comment 19 Kevin Fenzi 2007-06-05 00:18:05 EDT
I'd be happy to review this. Look for a full review in a bit... 
Comment 20 Kevin Fenzi 2007-06-05 01:19:59 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License(GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
abc042ed0b5606a1bb9f59403cde62f9  gnome-compiz-manager-0.9.14.tar.gz
abc042ed0b5606a1bb9f59403cde62f9  gnome-compiz-manager-0.9.14.tar.gz.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
See below - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
See below - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
See below - Should have subpackages require base package with fully versioned
depend.
OK - Should have dist tag
See below - Should package latest version

Issues:

1. The description could have some pluralizations and such to make it
more readable in english, perhaps something like:

Gnome compiz manager is small utility, which manages GL Desktop configurations
on XGL/AiGLX. It’s composed of two applications :

- compiz-tray-icon : which launches and stops compiz
- gnome-compiz-preferences : which adjusts GL effects

The goal isn’t to expose all compiz options but allow a simple
configuration of compiz.

2. The latest version seems to be 0.10.4. Could you update to that?
I can run another quick review check of that version if you like.

3. The -devel subpackage should "Requires: %{name} = %{version}-%{release}"

4. Since you're installing a desktop file, you need a:
BuildRequires: desktop-file-utils

5. You should own the
/usr/lib/gnome-compiz-manager/
directory.

6. Since the devel subpackage has a .pc file in it, it should Requires: pkgconfig.

7. Is there a reason to include the static libraries?
static libs shouldn't be included unless there is a very good reason for them.

8. In regards to the comment in the files section:
# do these get tagged doc?
%{_docdir}/*

They do get tagged as doc files. However, it's better to use the %doc macro on them.
That would install them in /usr/share/doc/%{name}-%{version}, which is the standard
place. As it is now, they are in a /usr/share/doc/%{name}/ dir.

9. rpmlint says:

a.
W: gnome-compiz-manager non-conffile-in-etc
/etc/gconf/schemas/gnome-compiz-preferences.schemas

Suggest: I think you can ignore this.

b.
E: gnome-compiz-manager zero-length /usr/share/doc/gnome-compiz-manager/README

Suggest: don't ship useless README?

c.
W: gnome-compiz-manager summary-not-capitalized compiz configuration utility
W: gnome-compiz-manager summary-not-capitalized compiz configuration utility

Suggest: capitalize?

d.
W: gnome-compiz-manager-devel no-documentation

Suggest: Ignore.

e.
W: gnome-compiz-manager-devel objdump-failed objdump: libXF86Config-parser.a:
File format not recognized

Suggest: don't ship .a files? ;)
Comment 21 Kevin Fenzi 2007-07-10 21:18:58 EDT
Ping John. Any news on a updated version addressing issues in comment #20?
Comment 22 John Mahowald 2007-07-14 15:28:36 EDT
(In reply to comment #21)
> Ping John. Any news on a updated version addressing issues in comment #20?

0.10.4 and some fixes

http://fedorared.org/repos/rpmbuild/SPECS/gnome-compiz-manager.spec
http://fedorared.org/fedora/review/gnome-compiz-manager-0.10.4-1.fc7.src.rpm
Comment 23 Kevin Fenzi 2007-07-18 00:30:38 EDT
All the above items look addressed, except #8, which isn't a blocker, although
you might consider switching to the %doc macro so they are in the standard place. 
I see no further blockers here, so this package is APPROVED. 

Don't forget to close this once the package has been imported and built. 

Comment 24 Didier 2007-07-27 09:42:09 EDT
Created attachment 160116 [details]
gnome-compiz-preferences crash dump

compiz-tray-icon works, but gnome-compiz-preferences crashes (dump with
gnome-compiz-manager-debuginfo 0.10.4-1.fc7 attached) on a fully updated F7.
Comment 25 John Mahowald 2007-08-17 09:54:28 EDT
New Package CVS Request
=======================
Package Name: gnome-compiz-manager
Short Description: Compiz configuration utility
Owners: jpmahowa
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 26 Kevin Fenzi 2007-08-27 23:49:33 EDT
Looks like this was built in both devel and f7, but not pushed out in f7 via the
updates system ( http://admin.fedoraproject.org/updates/ )
Please do so when you get a chance. 

Since it's imported and built, I will go ahead and close this now. 

Note You need to log in before you can comment on or make changes to this bug.